#include<iostream>
using namespace std;
int main ()
{
    long long a, b, c, d, e, o, o2;
    cin>>a>>b>>c>>d>>e;
    o=a*a*a+b*b*b+c*c*c+d*d*d;
    o2=e*e*e;

    if(a*a*a+b*b*b+c*c*c+d*d*d<o2)
    {
        cout<<1;
    }
    else
    {
        if(a*a*a+b*b*b+c*c*c+d*d*d<o2*2)
        {
            cout<<2;
        }
        else
        {
            if(a*a*a+b*b*b+c*c*c+d*d*d<o2*3)
            {
                cout<<3;
            }
            else
            {

                    cout<<4;

            }
        }
    }

    return 0;
}
